:root {
    --color-verde: #7ED957;
    --color-branco: #FFFFFF;
    --color-preto: #000000;
    --color-verde-light: #8CFF5A;
    --color-cinza-light: #F8F8F8;
}

body {
    font-family: roc-grotesk, sans-serif !important;
}

b {
    font-weight: 600 !important;
}

.head-1 {
    font-size: 2.75rem; /* 44px */
}

.head-2 {
    font-size: 1.875rem; /* 30px */
}

.sub-1 {
    font-size: 1.5rem; /* 29px */
}

.sub-2 {
    font-size: 1.375rem; /* 22px */
}

.sub-3 {
    font-size: 1.25rem; /* 20px */
}

.sub-4 {
    font-size: 1.125rem; /* 18px */
}

.sub-5 {
    font-size: 1rem; /* 16px */
}

.sub-8 {
    font-size: 1.375rem; /* 22px */
}

@media (max-width: 767px) {
    .head-1 {
        font-size: 8vw; /* 44px on a 375px viewport */
    }

    .head-2 {
        font-size: 8vw; /* 30px on a 375px viewport */
    }

    .sub-1 {
        font-size: 5.5vw; /* 29px on a 375px viewport */
    }

    .sub-2 {
        font-size: 6vw; /* 22px on a 375px viewport */
    }

    .sub-3 {
        font-size: 5.3333vw; /* 20px on a 375px viewport */
    }

    .sub-4 {
        font-size: 4.8vw; /* 18px on a 375px viewport */
    }

    .sub-5 {
        font-size: 4.2667vw; /* 16px on a 375px viewport */
    }

    .sub-8 {
        font-size: 5.2vw; /* 22px on a 375px viewport */
    }

}

.animate-on-scroll:not(.active) {
    opacity: 0 !important;
    transform: none !important;
    animation: none !important;
}

.fade-in {
    opacity: 0;
    animation: fadeIn 1s forwards;
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

.fade-out {
    opacity: 1;
    animation: fadeOut 1s forwards;
}

@keyframes fadeOut {
    from { opacity: 1; }
    to { opacity: 0; display: none; /* Opcional: esconde o elemento após o fade */ }
}

.fade-in-up {
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s forwards;
}

@keyframes fadeInUp {
    from { opacity: 0; transform: translateY(20px); }
    to { opacity: 1; transform: translateY(0); }
}

.slide-in-left {
    transform: translateX(-100%);
    animation: slideInLeft 1s forwards;
}

@keyframes slideInLeft {
    from { transform: translateX(-100%); }
    to { transform: translateX(0); }
}

.slide-out-right {
    transform: translateX(0);
    animation: slideOutRight 1s forwards;
}

@keyframes slideOutRight {
    from { transform: translateX(0); }
    to { transform: translateX(100%); display: none; }
}

.slide-in-down {
    transform: translateY(-100%);
    animation: slideInDown 1s forwards;
}

@keyframes slideInDown {
    from { transform: translateY(-100%); }
    to { transform: translateY(0); }
}

.zoom-in {
    transform: scale(0.5);
    opacity: 0;
    animation: zoomIn 0.8s forwards;
}

@keyframes zoomIn {
    from { transform: scale(0.5); opacity: 0; }
    to { transform: scale(1); opacity: 1; }
}

.zoom-out {
    transform: scale(1);
    opacity: 1;
    animation: zoomOut 0.8s forwards;
}

@keyframes zoomOut {
    from { transform: scale(1); opacity: 1; }
    to { transform: scale(0.5); opacity: 0; display: none; }
}

.rotate-in {
    transform: rotate(-180deg);
    opacity: 0;
    animation: rotateIn 1s forwards;
}

@keyframes rotateIn {
    from { transform: rotate(-180deg); opacity: 0; }
    to { transform: rotate(0deg); opacity: 1; }
}

.imagem-flutuando {
    animation: flutuarLentamente 4s ease-in-out infinite alternate;
    z-index: 999 !important;
}

@keyframes flutuarLentamente {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-15px); 
    }
    100% {
        transform: translateY(0); 
    }
}

.pulse {
    animation: pulse 2s infinite;
}

@keyframes pulse {
  0% {
    transform: scale(1);
    opacity: 1;
  }
  50% {
    transform: scale(1.05);
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}

.banner {
    background-color: var(--color-preto);
    height: 720px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;    

    & .logo {
        svg {
            width: 320px;
            max-width: 70%;
        }
    }

    & .headline {
        z-index: 999 !important;
        h1 {
            color: var(--color-branco);
            margin-top: 25px;
            font-weight: normal;
        }

        h2 {
            color: var(--color-branco);
            margin-top: 20px;
            margin-bottom: 40px;
            font-weight: normal;

        }
    }

    img {
        z-index: 999 !important;
        width: 90%;
        margin-top: 100px;
    }

}


@media (max-width: 991.98px) { 
    .banner {
        overflow: hidden;
        height: 1200px;
    
        & .logo {
            svg {
                margin-top: 50px;
            }
        }
    
        & .headline {
            h2 {
                margin-bottom: 30px;
            }
        }
    
        img {
            z-index: 999 !important;
            width: 80%;
            margin-top: 50px;
        }
    
    }
}

@media (max-width: 767.98px) {
    .banner {
        overflow: hidden;
        height: 850px;
    
        & .logo {
            svg {
                margin-top: 50px;
            }
        }
    
        & .headline {
            h2 {
                margin-bottom: 30px;
            }
        }
    
        img {
            z-index: 999 !important;
            width: 100%;
            margin-top: 30px;
        }
    
    }
}

.btn-destaque {
    
    a {
        width: 100%;
    }
    & .sub-1 {
        line-height: 1.2em !important;
    }
    
    button {
        width: 100% !important;
    }
}


.btn-destaque button {
    background-color: var(--color-verde);
    border: none;
    border-radius: 10px;
    padding: 8px 30px;

    & i {
        margin-right: 10px;
    }
}

a.btn-destaque {
    width: 95%;
    text-decoration: none !important;
}

a.btn-destaque button span {
   color: var(--color-preto) !important;
   text-decoration: none !important;
}

a.btn-destaque button i {
    color: var(--color-preto) !important;
    text-decoration: none !important;
 }
 
.btn-sub button {
    background-color: transparent;
    border: none;
    border-radius: 0px;
    padding: 0;
    width: 100%;

    span.icone {
        width: 55px;
        height: 55px;
        border-radius: 10px 0 0 10px;
        background-color: var(--color-verde);
    }

    span.texto {
        color: var(--color-branco);
        height: 55px;
        border-radius: 0 10px 10px 0;
        border: solid 2px var(--color-verde);
        padding: 0px 20px;
        width: 100% !important;

        h2 {
            font-weight: 300;
            margin: 0px;
        }
    }

    & i {
        color: var(--color-preto);
        font-size: 25px;
        margin-top: 5px;
    }
}


a.btn-sub {
   width: 100%;
   color: var(--color-preto);
   text-decoration: none;
}

.ponto-luz {
    position: absolute;
    top: 0;
}

.light-container {
    width: 100vw;
    height: 750px;
    position: relative;
    overflow: hidden;
}

.light {
    position: absolute;
    right: -22%;
    width: 100vw;
    height: 720px;
    background: radial-gradient(circle, rgba(0, 255, 0, 0.6) 0%, transparent 60%);
    pointer-events: none;
}

@media (max-width: 991.98px) {
    .light-container {
        position: relative;
        height: 1200px;
        min-height: 1200px; 
    }
    
    .light {
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 300vw; 
        height: 1200px;
        background: radial-gradient(circle, rgba(0, 255, 0, 0.6) 0%, transparent 60%);
        pointer-events: none;
        z-index: 0;
    }
}

@media (max-width: 767.98px) {
  .light-container {
    position: relative;
    height: 850px;
    min-height: 850px; 
  }

  .light {
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 300vw; 
    height: 850px;
    background: radial-gradient(circle, rgba(0, 255, 0, 0.6) 0%, transparent 60%);
    pointer-events: none;
    z-index: 0;
  }
}

.header-pontoluz {
    animation: piscar 4s infinite ease-in-out;
}


/* SOBRE */

.light-container-dois {
    width: 100vw;
    height: 750px;
    position: relative;
    overflow: hidden;
}

.light-dois {
    position: absolute;
    left: -22%;
    width: 100vw;
    height: 720px;
    background: radial-gradient(circle, rgba(0, 255, 0, 0.6) 0%, transparent 60%);
    pointer-events: none;
}

@media (max-width: 991.98px) {
    .light-container-dois {
        position: relative;
        height: w00vh;
        min-height: 200vh; 
      }
    
      .light-dois {
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 300vw; 
        height: 200vh;
        background: radial-gradient(circle, rgba(0, 255, 0, 0.6) 0%, transparent 80%);
        pointer-events: none;
        z-index: 0;
      }
}

@media (max-width: 767.98px) {
  .light-container-dois {
    position: relative;
    height: 200vh;
    min-height: 200vh; 
  }

  .light-dois {
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 300vw; 
    height: 200vh;
    background: radial-gradient(circle, rgba(0, 255, 0, 0.6) 0%, transparent 80%);
    pointer-events: none;
    z-index: 0;
  }
}

.sobre-pontoluz {
    animation: piscar 4s infinite ease-in-out;
}

@keyframes piscar {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0.7;
    }
    100% {
        opacity: 1;
    }
}


.avaliacoes {
    padding: 100px 0;
    background-color: var(--color-branco);

    & .estrelas {
        i {
            color: var(--color-verde);
            font-size: 2rem;
        }
    }

    h2 {
        font-weight: normal;
    }

    & .card-avaliacao {
        background-color: var(--color-branco);
        padding: 10px;
        border-radius: 10px;

        & .conteudo {
            
            height: 250px;
            background-color: var(--color-cinza-light);
            padding: 30px;
            border-radius: 10px;

            & .estrelas {
                i {
                    color: #f6bb05;
                    font-size: 1rem;
                }
            }

            svg {
                width: 2rem;
            }

            & .texto {
                margin-top: 10px;

                p {
                    display: -webkit-box;
                    -webkit-line-clamp: 5; 
                    line-clamp: 5; 
                    -webkit-box-orient: vertical;
                    overflow: hidden;
                    text-overflow: ellipsis;
                }
            }
        }

        & .pessoa {
            padding: 10px 10px;

            img {
                margin-right: 10px;
            }

            h2 {
                margin: 0px;
            }
            
            p {
                margin: 0px;
            }
        }
    }
}

.swiper {
    cursor: pointer !important;
}

.sobre {
    background-color: var(--color-preto);
    color: var(--color-branco);
    position: relative;
    height: 720px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;

    img {
        width: 100%;
        z-index: 999 !important;
    }

    h2 {
        z-index: 999 !important;
    }

    p {
        margin-top: 15px;
        line-height: 1.1em;
        z-index: 999 !important;
    }

    a {
        margin-top: 20px;
        z-index: 999 !important;
    }
}


@media (max-width: 991.98px) { 
    .sobre {
        padding: 100px 0;
        height: auto;

        h2 {
            margin-top: 50px;
        }
    }
}

@media (max-width: 767.98px) {
    .sobre {
        padding: 100px 0;
        height: auto;

        h2 {
            margin-top: 50px;
        }
    }
}



.diferenciais {
    padding: 100px 0;
    background-color: var(--color-verde);
    color: var(--color-preto);

    & .card-diferenciais {
        padding: 15px;
        border-radius: 10px;
        border: solid 2px var(--color-verde-light);
        height: 280px;

        h2 {
            margin-top: 15px;
        }

        svg {
            width: 55px;
            height: auto;
        }
    }
}

@media (max-width: 991.98px) { 
    .diferenciais {
    
        & .card-diferenciais {
            height: auto;
        }
    }
}

@media (max-width: 767.98px) {
    .diferenciais {
        & .card-diferenciais {
            height: auto;
        }
    }
}

.modelos {
    padding: 100px 0;
}

.rodape {
    margin-top: 100px;
    background-color: var(--color-preto);
    padding: 50px 0;
    color: var(--color-branco);

    svg {
        width: 350px;
        max-width: 100%;
    }
}

@media (max-width: 767px) {
    .rodape {
        svg {
            width: 50%;
            max-width: 50%;
         }
    }
}

.copy {
    background-color: var(--color-verde);
    padding: 20px 0;

    a {
        color: var(--color-preto);
        text-decoration: none;
    }

    p {
        margin: 0px !important;
    }

    svg {
        margin-left: 10px;
    }
}

